<div [ngClass]="['home-list-trending-visualization']">
  @if (vm.listTrendingVisualization(); as list) {
    @switch (list.status) {
      @case ('loading') {
        <ng-container *ngTemplateOutlet="loading" />
      }

      @case ('success') {
        @if (list.isFetching) {
          <ng-container *ngTemplateOutlet="loading" />
        } @else if (list.data.list.length > 0) {
          @for (item of list.data.list; track item.id; let isLast = $last) {
            <div
              [ngClass]="[
                jds.py(16),
                !isLast ? jds.borderBottom(1) : '',
                jds.borderColor(jdsBiColor.gray['200'])
              ]"
            >
              <div
                [ngClass]="[
                  jds.d('flex'),
                  jds.alignItems('start'),
                  jds.justifyContent('between'),
                  jds.mb(10)
                ]"
              >
                <a
                  [style.fontFamily]="'Roboto'"
                  [ngClass]="[jds.fw('bold')]"
                  [routerLink]="['/visualization', item.id]"
                >
                  {{ item.name }}
                </a>

                <div
                  [ngClass]="[
                    jds.d('flex'),
                    jds.alignItems('center'),
                    jds.ms(26)
                  ]"
                >
                  <!-- Jumlah Dilihat -->
                  <div
                    [popperPlacement]="'top'"
                    [popperTrigger]="'hover'"
                    popper="Jumlah Dilihat"
                  >
                    <div
                      [ngClass]="[jds.d('flex')]"
                      [style.verticalAlign]="'middle'"
                    >
                      <jds-bi-icon
                        [ngClass]="[
                          jds.me(6),
                          jds.text(jdsBiColor.gray['600'])
                        ]"
                        name="eye"
                      />
                      <span
                        [ngClass]="[jds.fs(14)]"
                        [style.position]="'relative'"
                        [style.top.px]="0.5"
                        [style.lineHeight.px]="23"
                      >
                        {{ item.count_view_private | number: '1.0-0' : 'id' }}
                      </span>
                    </div>
                  </div>
                </div>
              </div>

              <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
                <!-- Organisasi -->
                <div
                  [ngClass]="[jds.w(330), jds.me(16)]"
                  [popperPlacement]="'top'"
                  [popperTrigger]="'hover'"
                  [popper]="item.skpd.nama_skpd"
                >
                  <a [routerLink]="['/organization', item.skpd.id]">
                    <div
                      [ngClass]="[jds.d('flex')]"
                      [style.verticalAlign]="'middle'"
                    >
                      <jds-bi-icon
                        [ngClass]="[
                          jds.me(6),
                          jds.text(jdsBiColor.gray['600'])
                        ]"
                        name="building"
                      />
                      <span
                        [ngStyle]="{
                          lineHeight: '23px',
                          overflow: 'hidden',
                          textOverflow: 'ellipsis',
                          display: '-webkit-box',
                          '-webkit-line-clamp': '1',
                          '-webkit-box-orient': 'vertical'
                        }"
                        [ngClass]="[jds.fs(14)]"
                        [style.position]="'relative'"
                        [style.top.px]="0.5"
                        [style.lineHeight.px]="23"
                      >
                        {{ item.skpd.nama_skpd }}
                      </span>
                    </div>
                  </a>
                </div>

                <!-- Topik -->
                <div
                  [popperPlacement]="'top'"
                  [popperTrigger]="'hover'"
                  [popper]="item.sektoral.name"
                >
                  <div
                    [ngClass]="[jds.d('flex')]"
                    [style.verticalAlign]="'middle'"
                  >
                    <jds-bi-icon
                      [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                      name="book"
                    />
                    <span
                      class="truncate"
                      [ngClass]="[jds.fs(14)]"
                      [style.position]="'relative'"
                      [style.top.px]="0.5"
                      [style.lineHeight.px]="23"
                    >
                      {{ item.sektoral.name }}
                    </span>
                  </div>
                </div>

                <div [ngClass]="[jds.ms('auto')]">
                  <span
                    [colorScheme]="item.getClassification().bgColor"
                    jdsBiBadge
                  >
                    {{ item.dataset_class.name }}
                  </span>
                </div>
              </div>
            </div>
          }
        } @else {
          Tidak ada data.
        }
      }
    }
  }
</div>

<ng-template #loading>
  @for (number of [0, 1]; track $index) {
    <div
      [ngClass]="[
        jds.py(16),
        jds.borderBottom(1),
        jds.borderColor(jdsBiColor.gray['200'])
      ]"
    >
      @for (number of [80, 30, 55]; track $index) {
        <div class="wrapper-skeleton">
          <ngx-skeleton-loader
            [theme]="{
              width: number + '%',
              'border-radius': '0',
              height: '20px',
              'margin-bottom': '0'
            }"
          />
        </div>
      }
    </div>
  }
</ng-template>
